/* 
Theme Name: Supersaxo Media AG – Child Theme
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child Theme.
Author: Supersaxo Media AG
Author URI: https://www.supersaxo.media/
Template: hello-elementor
Version: 1.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Custom Styles Valpix */
:root {
    --blue: #0039A6;
	--custom-title-color: #0039A6 !important;
	--custom-body-color: #0039A6 !important;
}
:focus,:focus-visible {
    outline: none!important
}
@font-face {
  font-family: "Darker";
  font-optical-sizing: auto;
  font-weight: 500;
  src: url("https://www.solffest.ch/wp-content/themes/valpix-child/assets/fonts/DarkerGrotesque-Medium.ttf") format("truetype");
  font-style: normal;
}
@font-face {
  font-family: "Darker";
  font-optical-sizing: auto;
  font-weight: 700;
  src: url("https://www.solffest.ch/wp-content/themes/valpix-child/assets/fonts/DarkerGrotesque-Bold.ttf") format("truetype");
  font-style: normal;
}

html, body {
	font-size: 19px;
	font-weight: 400;
	font-feature-settings:'kern';        /* turns on kerning */ 
	text-rendering: optimizeLegibility;  /* emphasise on legibility when rendering, turns on ligatures and kerning */    
	-webkit-font-smoothing: antialiased; /* apply font anti-aliasing for Webkit on OSX */    
	-moz-osx-font-smoothing: grayscale;  /* apply font anti-aliasing for Firefox on OSX */
	overflow-x: hidden;
    font-family: "Darker";
    color: var(--blue);
}

header header, .hero-section, section, footer footer{
    padding-left: 33px !important;
    padding-right: 33px !important;
}
header{
    position: fixed !important;
    z-index: 99999 !important;
    background-color: var(--blue);
    color: #fff;
}
header nav a{
    text-transform: uppercase;
    color: #fff;
    padding: 0 15px !important;
}
header nav a:hover{
    color: #fff;
}
header nav .current-menu-item a, .overlaymenu nav .current-menu-item a{
    font-weight: 700;
}
header nav li:last-of-type a {
    padding: 7px 41px 13px 41px !important;
    border: 1px solid #fff;
    border-radius: 100px;
    margin-left: 70px !important;
}
.overlaymenu nav li {
    position: relative;
}
.overlaymenu nav li:after {
    position: absolute;
    content: '';
    height: 2px;
    width: 100%;
    background-color: #fff;
    left: 0;
    bottom: 0;
}
.overlaymenu nav li:first-of-type:before {
    position: absolute;
    content: '';
    height: 2px;
    width: 100%;
    background-color: #fff;
    left: 0;
    top: 0;
}

h1{
    font-size: clamp(2.8125rem, -1.7792rem + 9.5785vw, 7.5rem); /*120px to 45px*/
    line-height: clamp(2.8125rem, 0.0575rem + 5.7471vw, 5.625rem); /*90px to 45px*/
}
h2{
    font-size: clamp(2.1875rem, 0.3508rem + 3.8314vw, 4.0625rem); /*65px to 35px*/
    line-height: clamp(1.875rem, 0.0383rem + 3.8314vw, 3.75rem); /*60px to 30px*/
    text-transform: uppercase;
    margin-bottom:76px;
}
/*
h2:has(+ p) {
    margin-bottom:76px;
}*/
h3{
    font-size: clamp(2rem, 1.2041rem + 1.6603vw, 2.8125rem); /*45px to 32px*/
}
h4{
    font-size: clamp(1.75rem, 1.2602rem + 1.0217vw, 2.25rem); /*36px to 28px*/
}
h5{
    font-size: clamp(1.625rem, 1.2577rem + 0.7663vw, 2rem); /*32px to 26px*/
}
h6{
    font-size: clamp(1.5rem, 1.1327rem + 0.7663vw, 1.875rem); /*30px to 24px*/
    text-transform: uppercase;
}
body p{
    font-size: clamp(1.25rem, 0.8827rem + 0.7663vw, 1.625rem); /*26px to 20px*/
    line-height: clamp(1.125rem, 0.7577rem + 0.7663vw, 1.5rem); /*24px to 18px*/
}
body ul{
    font-size: clamp(1.25rem, 0.8827rem + 0.7663vw, 1.625rem); /*26px to 20px*/
    line-height: clamp(1.125rem, 0.7577rem + 0.7663vw, 1.5rem); /*24px to 18px*/
}
body p + ul {
  margin-top: 20px;
}
body p + ul {
  margin-top: 20px;
}
body ul + p {
  margin-top: 20px;
}
p:last-of-type,p:last-child {
    margin-bottom: 0!important
}
main a {
    color: var(--blue);
    text-decoration: underline !important;
    text-underline-position: from-font;
    text-decoration-thickness: 1px !important;
}
.n-uppercase h1, .n-uppercase h2, .n-uppercase h3, .n-uppercase h4, .n-uppercase h5, .n-uppercase h6{
    text-transform: none !important;
}

.hero-section {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    padding-bottom: 30px;
    color: #fff !important;
    --align-items: flex-end;
    --justify-content: space-between;
    --display: flex;
}
.hero-section h1{
    position: relative;
    z-index: 2;
}
.hero-section .elementor-button{
    background-color: transparent;
    border-color: #fff;
    text-transform: uppercase;
    padding: 7px 95px 8px 95px;
    z-index: 1;
    position: relative;
    color: #fff !important;
}
.hero-section:after {
    content: '';
    position: absolute;
    height: 75vh;
    width: 100vw;
    background: #0039A6;
    background: -webkit-linear-gradient(15deg, rgba(0, 57, 166, 1) 0%, rgba(10, 65, 170, 1) 15%, rgba(255, 255, 255, 0) 50%);
    background: -moz-linear-gradient(15deg, rgba(0, 57, 166, 1) 0%, rgba(10, 65, 170, 1) 15%, rgba(255, 255, 255, 0) 50%);
    background: linear-gradient(15deg, rgba(0, 57, 166, 1) 0%, rgba(10, 65, 170, 1) 15%, rgba(255, 255, 255, 0) 50%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#0039A6", endColorstr="#FFFFFF", GradientType=0);
    bottom: 0;
    left: 0;
    z-index: 0;
}
.home .hero-section:after {
    background: #0039A6;
    background: -webkit-linear-gradient(6deg, rgba(0, 57, 166, 1) 0%, rgba(10, 65, 170, 1) 25%, rgba(255, 255, 255, 0) 70%);
    background: -moz-linear-gradient(6deg, rgba(0, 57, 166, 1) 0%, rgba(10, 65, 170, 1) 25%, rgba(255, 255, 255, 0) 70%);
    background: linear-gradient(6deg, rgba(0, 57, 166, 1) 0%, rgba(10, 65, 170, 1) 25%, rgba(255, 255, 255, 0) 70%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#0039A6", endColorstr="#FFFFFF", GradientType=0);
}
.bg-box{
    background-color: #E0E7F4;
    padding: 25px 25px 30px 25px;
    hyphens: auto;
}
.bg-box img{
    margin-top: 26px;
    margin-bottom: 26px;
}
.elementor-button{
    background-color: transparent;
    border: 1px solid var(--blue);
    border-radius: 100px;
    font-size: clamp(1rem, 0.8827rem + 0.7663vw, 1.37rem);
    color: var(--blue) !important;
    padding: 7px 95px 8px 95px;
    z-index: 1;
    position: relative;
    text-decoration: none !important;
}
.elementor-button-icon {
    position: absolute;
    left: 17px;
    top: 0;
    bottom: 0;
    margin: auto;
}
.elementor-button-icon svg {
    height: auto;
    width: 27px;
}
.values-section{
    color: #fff !important;
    padding-top: 75px;
    padding-bottom: 155px;
}
.values-section span{
    font-size: clamp(2.5rem, -2.3978rem + 10.2171vw, 7.5rem); /*120px to 40px*/
    line-height: clamp(3.5625rem, 0.8075rem + 5.7471vw, 6.375rem); /*102px to 57px*/
    margin-top: clamp(3.125rem, -0.732rem + 8.046vw, 7.0625rem);
}
summary.e-n-accordion-item-title {
    padding: 0 !important;
/*    border-top: 1px solid var(--blue) !important;*/
    margin-left: 33px;
    margin-right: 33px;
    padding-top: 10px !important;
    padding-bottom: 10px !important;
}
details:before {
    content: '';
    position: absolute;
    height: 2px;
    width: calc(100% - 66px);
    background-color: var(--blue);
    top: 0;
    left: 0;
    right: 0;
    margin: auto;
}
details:open:before {
    width: 100%;
}
details:open:after {
    content: '';
    position: absolute;
    height: 2px;
    width: 100%;
    background-color: var(--blue);
    bottom: -2px;
    left: 0;
    right: 0;
    margin: auto;
}
/*
summary.e-n-accordion-item-title[aria-expanded="false"]{
    border-bottom: 1px solid var(--blue) !important;
}
*/
summary.e-n-accordion-item-title[aria-expanded="true"], summary + div{
    background-color: #E0E7F4 !important;
    margin-left: 0;
    margin-right: 0;
    padding-left: 33px !important;
    padding-right: 33px !important;
}
.e-n-accordion-item-title-text{
    color: var(--blue) !important;
}
span.e-n-accordion-item-title-icon .e-closed, span.e-n-accordion-item-title-icon .e-opened{
    justify-content: left;
    width: 70px !important;
}
/*
details:first-of-type summary {
    border-top: 2px solid var(--blue) !important;
}
*/
summary + div{
    padding-top: 68px !important;
    padding-bottom: 80px !important;
}
/*
summary + div .elementor-button{
    font-size: 26px;
}
*/
.img-banner:after{
    background: #0039A6;
background: linear-gradient(16deg, rgba(0, 57, 166, 1) 0%, rgba(10, 65, 170, 1) 20%, rgba(255, 255, 255, 0) 60%);
    position: absolute;
    content: '';
    height: 100%;
    width: 100%;
    left: 0;
    bottom: 0;
}
.teammember h6, .location-contact h6{
    margin: 0 !important;
    font-size: 30px;
    line-height: 28px;
}
.teammember h6:has(+ p), .location-contact h6:has(+ p) {
    margin-bottom:25px !important;
}
.teammember p, .location-contact p {
    font-size: 20px !important;
}
footer{
    color: #fff;
    background-color: var(--blue);
    margin-top: clamp(3.125rem, -2.9973rem + 12.7714vw, 10rem) !important; /*190px to 50px*/
    padding-top: 50px !important;
    padding-bottom: 80px !important;
}
footer a, footer a:hover{
    color: #fff;
}
footer h6{
    position: relative;
    margin-bottom: 40px;
}
footer h6:after {
    content: '';
    position: absolute;
    height: 2px;
    width: 100%;
    background-color: #fff;
    left: 0;
    bottom: -25px;
}
footer .credits ul {
    list-style-type: none;
    display: flex;
    margin-top: 30px;
    flex-direction: row;
    column-gap: 25px;
    justify-content: flex-end;
    font-size: 20px;
}
footer .footer-menu a{
    font-size: clamp(1.5625rem, 1.2564rem + 0.6386vw, 1.875rem);
    text-transform: uppercase;
    line-height: clamp(2.0625rem, 1.7564rem + 0.6386vw, 2.375rem);
}

privacybee-widget div, privacybee-widget div ul li, privacybee-widget div a {
	max-width: 100% !important;
	line-height: inherit !important;
}
h1.prx_h1 {
    display: none;
}
.prx_text, .prx_expandableName, .prx_expandableDescription, .prx_listElement, .prx_h2, .prx_h3, .prx_h4, .prx_h5, .prx_link {
    max-width: 75% !important;
	font-size: clamp(1.25rem, 0.8827rem + 0.7663vw, 1.625rem) !important;
    line-height: clamp(1.125rem, 0.7577rem + 0.7663vw, 1.5rem) !important;
}

@media screen and (max-width: 1200px){
	header nav li:last-of-type a {
		padding: 7px 41px 13px 41px !important;
		margin-left: 30px !important;
	}
	header nav a {
		padding: 0 10px !important;
	}
}
@media screen and (max-width: 1024px){
    header header, .hero-section, section, footer footer, summary.e-n-accordion-item-title[aria-expanded="true"], summary + div{
        padding-left: 25px !important;
        padding-right: 25px !important;
    }
    summary.e-n-accordion-item-title {
        margin-left: 25px;
        margin-right: 25px;
    }
    details:before {
        width: calc(100% - 50px);
    }
    summary + div {
        padding-top: 20px !important;
        padding-bottom: 40px !important;
    }
    .hero-section{
        --flex-direction: column !important;
        --flex-wrap-mobile: wrap !important;
        --justify-content: flex-end !important;
        --align-items: flex-start !important;
    }
    .hero-section .elementor-button{
        margin-top: 20px;
    }
}
@media screen and (max-width: 767px){
    html, body{
        hyphens: auto;
    }
    header header, .hero-section, section, footer footer, summary.e-n-accordion-item-title[aria-expanded="true"], summary + div{
        padding-left: 20px !important;
        padding-right: 20px !important;
    }
    summary.e-n-accordion-item-title {
        margin-left: 20px;
        margin-right: 20px;
    }
    details:before {
        width: calc(100% - 40px);
    }
    footer .credits ul {
        justify-content: flex-start;
        padding-left: 0px;
    }
}
@media screen and (max-width: 400px){
    .elementor-widget-n-accordion .e-n-accordion-item-title {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }
}